package com.handysoft.beans.entity;

import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;

@PersistenceCapable(identityType = IdentityType.NONDURABLE)
public class HUser extends HandyEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5370404735448348244L;

	@Persistent
	private String moumiId;

	@Persistent
	private String password;

	@Persistent
	private String name;

	@Persistent
	private String email;

	@Persistent
	private String phone;

	@Persistent
	private boolean isDeleted;

	@Persistent
	private String mDept;

	@Persistent
	private int priority;

	@Persistent
	private String dutyName;

	@Persistent
	private String id;

	@Persistent
	private String empCode;

	public void setMoumiId(String moumiId) {
		this.moumiId = moumiId;
	}

	public String getMoumiId() {
		return moumiId;
	}

	@Override
	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public final String getPassword() {
		return password;
	}

	public final void setPassword(String password) {
		this.password = password;
	}

	public final String getName() {
		return name;
	}

	public final void setName(String name) {
		this.name = name;
	}

	public final String getEmail() {
		return email;
	}

	public final void setEmail(String email) {
		this.email = email;
	}

	public final String getPhone() {
		return phone;
	}

	public final void setPhone(String phone) {
		this.phone = phone;
	}

	public final boolean isDeleted() {
		return isDeleted;
	}

	public final void setDeleted(boolean isDeleted) {
		this.isDeleted = isDeleted;
	}

	public final String getmDept() {
		return mDept;
	}

	public final void setmDept(String mDept) {
		this.mDept = mDept;
	}

	public final int getPriority() {
		return priority;
	}

	public final void setPriority(int priority) {
		this.priority = priority;
	}

	public final String getDutyName() {
		return dutyName;
	}

	public final void setDutyName(String dutyName) {
		this.dutyName = dutyName;
	}

	public final String getEmpCode() {
		return empCode;
	}

	public final void setEmpCode(String empCode) {
		this.empCode = empCode;
	}

}
